<?php

/**
* Clase Bean para GastosGenerales
*
* @package Prj
* @subpackage GastosGeneralesBean
* @author Willy
* @version SVN: : GastosGeneralesBean.class.php,v 1.1 2009/06/01 15:25:02 william.taype Exp $
*/
class GastosGeneralesBean{

  protected $IdGasto;
  protected $IdSucursal;
  protected $FechaGasto;
  protected $Descripcion;
  protected $DocumentoReferencia;
  protected $Monto;
  protected $Estado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $Eliminado;
  protected $FechaEliminado;
  protected $UsuarioEliminado;

  protected $Mensaje;
  protected $Error;

  public function getIdGasto(){
    return $this->IdGasto;
  }
  public function setIdGasto($v){
    $this->IdGasto = $v;
  }

  public function getFechaGasto(){
    return $this->FechaGasto;
  }
  public function setFechaGasto($v){
    $this->FechaGasto = $v;
  }
  public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }
  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v){
    $this->IdSucursal = $v;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v){
    $this->Descripcion = $v;
  }

  public function getDocumentoReferencia(){
    return $this->DocumentoReferencia;
  }
  public function setDocumentoReferencia($v){
    $this->DocumentoReferencia = $v;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }
  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }


  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }
   public function getMonto(){
    return $this->Monto;
  }
  public function setMonto($v){
    $this->Monto = $v;
  } 
  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  }
  
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}